package cn.wise.sc.cement.business.service;

import cn.wise.sc.cement.business.entity.Handle;
import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.model.PageQuery;
import cn.wise.sc.cement.business.model.vo.HandleVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ztw
 * @since 2020-09-10
 */
public interface IHandleService extends IService<Handle> {

	BaseResponse<IPage<HandleVo>> getPage(PageQuery pageQuery, String name, String userName);

	BaseResponse<HandleVo> getDetail(Integer id);

	BaseResponse<Handle> create(Handle query);

	BaseResponse<Handle> update(Handle query);

	BaseResponse<String> delete(Integer id);

}
